--- title: "Get Top Host URLs" slug: "get-top-host-urls" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:00Z published: 2026-09-23T09:38:00Z canonical: "docs.trellix.com/get-top-host-urls" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Top Host URLs This URL gets the list of top host urls. ## Resource URL GET /ntbamonitors/{ntbaId}/tophosturls/ ## Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | ntbaId | NTBA monitor id | Number | Yes | | hostid | Host id | Number | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | topURLsOnNetwork | List of urls | Array | Details of topURLsOnNetwork: | Field Name | Description | Data Type | | --- | --- | --- | | reputation | Reputation | String | | url | URL | Number | | urlId | URL id | String | | category | Category | String | | categoryId | Category id | Number | | country | Country | String | | count | Count | Number | ## Example **Request** GET[https://%3CNSM_IP%3E/sdkapi/ntbamonitors/1006/%20tophosturls/9](https://%3CNSM_IP%3E/sdkapi/ntbamonitors/1006/%20tophosturls/9) **Response** ``` {"topURLsOnNetwork": [  { "reputation":"Minimal Risk", "url":"twitter.com", "urlId":"8390917", "category":"Blogs/Wiki", "categoryId":898, "country":"United States", "count":6   } ] } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 4301 | Invalid duration | | 2 | 400 | 4302 | Invalid time format | | 3 | 400 | 4303 | Start time is greater than end time | | 4 | 400 | 4304 | Invalid date format | | 5 | 400 | 4305 | Start/End date is not provided | | 6 | 400 | 4306 | Invalid NTBA id | | 7 | 400 | 4310 | Invalid host id or no data |